CARG(3) | Library Functions Manual | CARG(3)

# NAME

carg, cargf, cargl — complex argument functions

# SYNOPSIS

#include <complex.h>
double
carg(double complex z);
float
cargf(float complex z);
long double
cargl(long double complex z);

# DESCRIPTION

These functions compute the argument (also called phase angle) of z, with a branch cut along the negative real axis.

# RETURN VALUES

These functions return the value of the argument in the interval [-pi, +pi].

# ERRORS

No errors are defined.

# SEE ALSO

cimag(3), conj(3), cproj(3), IEEE Std 1003.1-2001 (“POSIX.1”) ⟨complex .h⟩

# COPYRIGHT

Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .

January 29, 2013 | NetBSD 8.2